Summary: French files for aspell
Name: aspell-fr
Version: 0.3
Release: 6
Group: Applications/Text
Source: aspell-dict-francais-0.03.tar.gz
URL: http://dept-info.labri.u-bordeaux.fr/~vanicat/aspell/
Copyright: GPL
Requires: aspell
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: aspell
ExcludeArch: ia64
Obsoletes: ispell-fr, ispell-french

%description
A French dictionary for use with aspell, a spelling checker.

%prep
%setup -q -n francais

%build 
cp /usr/share/aspell/iso8859-1.dat .

LC_CTYPE=fr_FR aspell --lang=francais --data-dir=. \
    create master ./francais < francais.dict

%install
rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib/aspell
mkdir -p $RPM_BUILD_ROOT/usr/share/aspell
mkdir -p $RPM_BUILD_ROOT/usr/share/pspell

install -m 0644 francais.dat $RPM_BUILD_ROOT/usr/share/aspell
install -m 0644 francais_phonet.dat $RPM_BUILD_ROOT/usr/share/aspell
install -m 0644 francais $RPM_BUILD_ROOT/usr/lib/aspell
ln -s francais $RPM_BUILD_ROOT/usr/lib/aspell/french

echo "/usr/lib/aspell/francais" > $RPM_BUILD_ROOT/usr/share/pspell/fr-aspell.pwli

%clean
rm -fr $RPM_BUILD_ROOT/

%files
%defattr(-,root,root)
%doc README LISEZMOI COPYING
/usr/share/aspell/*
/usr/lib/aspell/*
/usr/share/pspell/*

%changelog
* Sun Aug 20 2000 Trond Eivind Glomsrd <teg@redhat.com>
- rebuild

* Wed Aug 16 2000 Trond Eivind Glomsrd <teg@redhat.com>
- Now they're not in aspell package anymore - again

* Tue Aug 01 2000 Trond Eivind Glomsrd <teg@redhat.com>
- use the French language descriptions shipped with aspell

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri Jun 30 2000 Trond Eivind Glomsrd <teg@redhat.com>
- rebuild

* Mon Jun 26 2000 Trond Eivind Glomsrd <teg@redhat.com>
- updated dictionary to 0.03
- changed build procedure
- include .pwli file

* Sat Jun 17 2000 Trond Eivind Glomsrd <teg@redhat.com>
- first RPM
